QGIS Application - Bug report #17644
go2mapillary web view caused a QGIS crash
2017-12-06 03:04 PM - Solution s

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:master Regression?: No
Operating System: Windows 7 Enterprise 32 bit Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corruptsdata: Copied to github as #: 25541
Description

User Feedback

When | rezized the go2mapillary plugin window while a Mapillary image was shown inside it, QGIS froze.

Report Details

Crash ID: f76df82eabaff30a113178f5696e49ebf05bfcc7
Stack Trace

DrvSetLayerPaletteEntries :
DrvSetlLayerPaletteEntries :
DrvSetlLayerPaletteEntries :
DrvSetlLayerPaletteEntries :
DrvSetLayerPaletteEntries :
DrvSetlLayerPaletteEntries :
QQuickWebView::zoomFactor :
JSC::PropertyDescriptor::getter :
WTF::Stringlmpl::toint :
WKBackForwardListltemGetTypelD :
WKBackForwardListltemGetTypelD :
QWebHistory::QWebHistory :
WKBackForwardListltemGetTypelD :
QWebHistory::QWebHistory :
QWebHistory::QWebHistory :
WKErrorGetTypelD :
WTF::String::operator QString :

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: commit:aa68a9faec
Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: i386

Kernel Type: winnt
Kernel Version: 6.1.7601

History

#1 - 2017-12-06 03:06 PM - Giovanni Manghi
- Resolution set to invalid

2025-04-27 12




- Status changed from Open to Closed

Hi, 3rd party plugins problems must be reported to plugins developers/authors. Cheers!

#2 - 2017-12-06 04:09 PM - Solution s

Hi,

I'm not sure whether it's a plugin issue or a QGIS issue, so perhaps someone could check that somehow?

Nevertheless, a plugin shouldn't be able to crash QGIS? If it can, it's a QGIS issue that needs to be fixed?

#3 - 2017-12-06 04:15 PM - Giovanni Manghi

I'm not sure whether it's a plugin issue or a QGIS issue, so perhaps someone could check that somehow?

Nevertheless, a plugin shouldn't be able to crash QGIS? If it can, it's a QGIS issue that needs to be fixed?

if the author of the plugin think that the underlying problem is in core QGIS then a proper ticket can be opened, of course.

#4 - 2017-12-06 04:26 PM - Solution s

Okay, I'll pass it on.
